from django.test import TestCase as DjangoTestCase
from testtools import TestCase as TesttoolsTestCase


class TestCase(DjangoTestCase, TesttoolsTestCase):

    def __init__(self, *args, **kwargs):
        # python2.6 doesn't up-call, so TesttoolsTestCase.__init__
        # never gets called unless we do this.
        DjangoTestCase.__init__(self, *args, **kwargs)
        TesttoolsTestCase.__init__(self, *args, **kwargs)
